VTK: vtkOrientedGlyphContourRepresentation Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkOrientedGlyphContourRepresentation Class Reference

Default representation for the contour widget. More...

`#include <vtkOrientedGlyphContourRepresentation.h>`

Inheritance diagram for vtkOrientedGlyphContourRepresentation:
[legend]
Collaboration diagram for vtkOrientedGlyphContourRepresentation:
[legend]

## Public Member Functions
vtkPolyData * | GetContourRepresentationAsPolyData () override
| Get the points in this contour as a vtkPolyData. More...
void | SetLineColor (double r, double g, double b)
| Convenience method to set the line color. More...
void | SetShowSelectedNodes (vtkTypeBool) override
| A flag to indicate whether to show the Selected nodes Default is to set it to false. More...
double * | GetBounds () override
| Return the bounds of the representation. More...
void | SetCursorShape (vtkPolyData *cursorShape)
| Specify the cursor shape. More...
vtkPolyData * | GetCursorShape ()
| Specify the cursor shape. More...
void | SetActiveCursorShape (vtkPolyData *activeShape)
| Specify the shape of the cursor (handle) when it is active. More...
vtkPolyData * | GetActiveCursorShape ()
| Specify the shape of the cursor (handle) when it is active. More...
virtual vtkProperty * | GetProperty ()
| This is the property used when the handle is not active (the mouse is not near the handle) More...
virtual vtkProperty * | GetActiveProperty ()
| This is the property used when the user is interacting with the handle. More...
virtual vtkProperty * | GetLinesProperty ()
| This is the property used by the lines. More...
void | SetRenderer (vtkRenderer *ren) override
| Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. More...
void | BuildRepresentation () override
| Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. More...
void | StartWidgetInteraction (double eventPos[2]) override
| Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. More...
void | WidgetInteraction (double eventPos[2]) override
| Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. More...
int | ComputeInteractionState (int X, int Y, int modified=0) override
| Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. More...
void | GetActors (vtkPropCollection *) override
| Methods to make this class behave as a vtkProp. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Methods to make this class behave as a vtkProp. More...
int | RenderOverlay (vtkViewport *viewport) override
| Methods to make this class behave as a vtkProp. More...
int | RenderOpaqueGeometry (vtkViewport *viewport) override
| Methods to make this class behave as a vtkProp. More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *viewport) override
| Methods to make this class behave as a vtkProp. More...
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| Methods to make this class behave as a vtkProp. More...
virtual void | SetAlwaysOnTop (vtkTypeBool)
| Controls whether the contour widget should always appear on top of other actors in the scene. More...
virtual vtkTypeBool | GetAlwaysOnTop ()
| Controls whether the contour widget should always appear on top of other actors in the scene. More...
virtual void | AlwaysOnTopOn ()
| Controls whether the contour widget should always appear on top of other actors in the scene. More...
virtual void | AlwaysOnTopOff ()
| Controls whether the contour widget should always appear on top of other actors in the scene. More...
Public Member Functions inherited from vtkContourRepresentation
virtual int | SetActiveNodeToWorldPosition (double pos[3])
virtual int | SetActiveNodeToWorldPosition (double pos[3], double orient[9])
virtual int | GetActiveNodeWorldPosition (double pos[3])
| Get the world position of the active node. More...
virtual int | GetActiveNodeWorldOrientation (double orient[9])
| Get the world orientation of the active node. More...
virtual int | GetActiveNodeDisplayPosition (double pos[2])
| Get the display position of the active node. More...
virtual int | GetNumberOfNodes ()
| Get the number of nodes. More...
virtual int | GetNthNodeDisplayPosition (int n, double pos[2])
| Get the nth node's display position. More...
virtual int | GetNthNodeWorldPosition (int n, double pos[3])
| Get the nth node's world position. More...
virtual vtkContourRepresentationNode * | GetNthNode (int n)
| Get the nth node. More...
virtual int | GetNthNodeWorldOrientation (int n, double orient[9])
| Get the nth node's world orientation. More...
virtual int | GetNthNodeSlope (int idx, double slope[3])
| Get the nth node's slope. More...
virtual int | GetNumberOfIntermediatePoints (int n)
virtual int | GetIntermediatePointWorldPosition (int n, int idx, double point[3])
| Get the world position of the intermediate point at index idx between nodes n and (n+1) (or n and 0 if n is the last node and the loop is closed). More...
virtual int | AddIntermediatePointWorldPosition (int n, double point[3])
| Add an intermediate point between node n and n+1 (or n and 0 if n is the last node and the loop is closed). More...
virtual int | AddIntermediatePointWorldPosition (int n, double point[3], vtkIdType ptId)
| Add an intermediate point between node n and n+1 (or n and 0 if n is the last node and the loop is closed). More...
virtual int | DeleteLastNode ()
| Delete the last node. More...
virtual int | DeleteActiveNode ()
| Delete the active node. More...
virtual int | DeleteNthNode (int n)
| Delete the nth node. More...
virtual void | ClearAllNodes ()
| Delete all nodes. More...
virtual int | AddNodeOnContour (int X, int Y)
| Given a specific X, Y pixel location, add a new node on the contour at this location. More...
void | SetPointPlacer (vtkPointPlacer *)
virtual vtkPointPlacer * | GetPointPlacer ()
void | GetNodePolyData (vtkPolyData *poly)
| Get the nodes and not the intermediate points in this contour as a vtkPolyData. More...
virtual void | SetRebuildLocator (bool)
virtual int | AddNodeAtWorldPosition (double x, double y, double z)
| Add a node at a specific world position. More...
virtual int | AddNodeAtWorldPosition (double worldPos[3])
| Add a node at a specific world position. More...
virtual int | AddNodeAtWorldPosition (double worldPos[3], double worldOrient[9])
| Add a node at a specific world position. More...
virtual int | AddNodeAtDisplayPosition (double displayPos[2])
| Add a node at a specific display position. More...
virtual int | AddNodeAtDisplayPosition (int displayPos[2])
| Add a node at a specific display position. More...
virtual int | AddNodeAtDisplayPosition (int X, int Y)
| Add a node at a specific display position. More...
virtual int | ActivateNode (double displayPos[2])
| Given a display position, activate a node. More...
virtual int | ActivateNode (int displayPos[2])
| Given a display position, activate a node. More...
virtual int | ActivateNode (int X, int Y)
| Given a display position, activate a node. More...
virtual int | SetActiveNodeToDisplayPosition (double pos[2])
| Move the active node based on a specified display position. More...
virtual int | SetActiveNodeToDisplayPosition (int pos[2])
| Move the active node based on a specified display position. More...
virtual int | SetActiveNodeToDisplayPosition (int X, int Y)
| Move the active node based on a specified display position. More...
virtual int | ToggleActiveNodeSelected ()
| Set/Get whether the active or nth node is selected. More...
virtual int | GetActiveNodeSelected ()
| Set/Get whether the active or nth node is selected. More...
virtual int | GetNthNodeSelected (int)
| Set/Get whether the active or nth node is selected. More...
virtual int | SetNthNodeSelected (int)
| Set/Get whether the active or nth node is selected. More...
virtual int | SetNthNodeDisplayPosition (int n, int X, int Y)
| Set the nth node's display position. More...
virtual int | SetNthNodeDisplayPosition (int n, int pos[2])
| Set the nth node's display position. More...
virtual int | SetNthNodeDisplayPosition (int n, double pos[2])
| Set the nth node's display position. More...
virtual int | SetNthNodeWorldPosition (int n, double pos[3])
| Set the nth node's world position. More...
virtual int | SetNthNodeWorldPosition (int n, double pos[3], double orient[9])
| Set the nth node's world position. More...
virtual void | SetPixelTolerance (int)
| The tolerance to use when calculations are performed in display coordinates. More...
virtual int | GetPixelTolerance ()
| The tolerance to use when calculations are performed in display coordinates. More...
virtual void | SetWorldTolerance (double)
| The tolerance to use when calculations are performed in world coordinates. More...
virtual double | GetWorldTolerance ()
| The tolerance to use when calculations are performed in world coordinates. More...
virtual int | GetCurrentOperation ()
| Set / get the current operation. More...
virtual void | SetCurrentOperation (int)
| Set / get the current operation. More...
void | SetCurrentOperationToInactive ()
| Set / get the current operation. More...
void | SetCurrentOperationToTranslate ()
| Set / get the current operation. More...
void | SetCurrentOperationToShift ()
| Set / get the current operation. More...
void | SetCurrentOperationToScale ()
| Set / get the current operation. More...
void | SetLineInterpolator (vtkContourLineInterpolator *)
| Set / Get the Line Interpolator. More...
virtual vtkContourLineInterpolator * | GetLineInterpolator ()
| Set / Get the Line Interpolator. More...
void | SetClosedLoop (vtkTypeBool val)
| Set / Get the ClosedLoop value. More...
virtual vtkTypeBool | GetClosedLoop ()
| Set / Get the ClosedLoop value. More...
virtual void | ClosedLoopOn ()
| Set / Get the ClosedLoop value. More...
virtual void | ClosedLoopOff ()
| Set / Get the ClosedLoop value. More...
virtual vtkTypeBool | GetShowSelectedNodes ()
| A flag to indicate whether to show the Selected nodes Default is to set it to false. More...
virtual void | ShowSelectedNodesOn ()
| A flag to indicate whether to show the Selected nodes Default is to set it to false. More...
virtual void | ShowSelectedNodesOff ()
| A flag to indicate whether to show the Selected nodes Default is to set it to false. More...
vtkContourRepresentation * | NewInstance () const
| Standard VTK methods. More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual void | EndWidgetInteraction (double newEventPos[2])
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkOrientedGlyphContourRepresentation * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkContourRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard VTK methods. More...
static vtkContourRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard VTK methods. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkOrientedGlyphContourRepresentation ()
| ~vtkOrientedGlyphContourRepresentation () override
void | CreateSelectedNodesRepresentation ()
void | Translate (double eventPos[2])
void | Scale (double eventPos[2])
void | ShiftContour (double eventPos[2])
void | ScaleContour (double eventPos[2])
void | ComputeCentroid (double *ioCentroid)
void | CreateDefaultProperties ()
void | BuildLines () override
Protected Member Functions inherited from vtkContourRepresentation
| vtkContourRepresentation ()
| ~vtkContourRepresentation () override
void | AddNodeAtPositionInternal (double worldPos[3], double worldOrient[9], int displayPos[2])
void | AddNodeAtPositionInternal (double worldPos[3], double worldOrient[9], double displayPos[2])
void | SetNthNodeWorldPositionInternal (int n, double worldPos[3], double worldOrient[9])
virtual void | UpdateLines (int index)
void | UpdateLine (int idx1, int idx2)
virtual int | FindClosestPointOnContour (int X, int Y, double worldPos[3], int *idx)
virtual int | UpdateContour ()
void | ComputeMidpoint (double p1[3], double p2[3], double mid[3])
virtual void | Initialize (vtkPolyData *, vtkIdList *)
| Build a contour representation from externally supplied PolyData. More...
virtual void | Initialize (vtkPolyData *)
| Overloaded initialize method, that is called when the vtkIdList is nullptr to maintain backwards compatibility. More...
virtual void | InitializeContour (vtkPolyData *, vtkIdList *)
| Internal implementation, delegated to another method, so that users who override the method Initialize that takes in one argument are supported. More...
void | ResetLocator ()
| Deletes the previous locator if it exists and creates a new locator. More...
void | BuildLocator ()
void | GetRendererComputedDisplayPositionFromWorldPosition (double worldPos[3], double worldOrient[9], int displayPos[2])
| Given a world position and orientation, this computes the display position using the renderer of this class. More...
void | GetRendererComputedDisplayPositionFromWorldPosition (double worldPos[3], double worldOrient[9], double displayPos[2])
| Given a world position and orientation, this computes the display position using the renderer of this class. More...
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkActor * | Actor
vtkPolyDataMapper * | Mapper
vtkGlyph3D * | Glypher
vtkActor * | ActiveActor
vtkPolyDataMapper * | ActiveMapper
vtkGlyph3D * | ActiveGlypher
vtkPolyData * | CursorShape
vtkPolyData * | ActiveCursorShape
vtkPolyData * | FocalData
vtkPoints * | FocalPoint
vtkPolyData * | ActiveFocalData
vtkPoints * | ActiveFocalPoint
vtkPolyData * | SelectedNodesData
vtkPoints * | SelectedNodesPoints
vtkActor * | SelectedNodesActor
vtkPolyDataMapper * | SelectedNodesMapper
vtkGlyph3D * | SelectedNodesGlypher
vtkPolyData * | SelectedNodesCursorShape
vtkPolyData * | Lines
vtkPolyDataMapper * | LinesMapper
vtkActor * | LinesActor
double | LastPickPosition [3]
double | LastEventPosition [2]
vtkProperty * | Property
vtkProperty * | ActiveProperty
vtkProperty * | LinesProperty
double | InteractionOffset [2]
vtkTypeBool | AlwaysOnTop
Protected Attributes inherited from vtkContourRepresentation
int | PixelTolerance
double | WorldTolerance
vtkPointPlacer * | PointPlacer
vtkContourLineInterpolator * | LineInterpolator
int | ActiveNode
int | CurrentOperation
vtkTypeBool | ClosedLoop
vtkTypeBool | ShowSelectedNodes
vtkContourRepresentationInternals * | Internal
vtkTimeStamp | ContourBuildTime
vtkIncrementalOctreePointLocator * | Locator
| Adding a point locator to the representation to speed up lookup of the active node when dealing with large datasets (100k+) More...
bool | RebuildLocator
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkContourRepresentation | Superclass
| Standard methods for instances of this class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkOrientedGlyphContourRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for instances of this class. More...
vtkOrientedGlyphContourRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for instances of this class. More...

## Additional Inherited Members
Public Types inherited from vtkContourRepresentation
enum | { Outside = 0 , Nearby }
enum | { Inactive = 0 , Translate , Shift , Scale }
typedef vtkWidgetRepresentation | Superclass
| Standard VTK methods. More...
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Default representation for the contour widget.

This class provides the default concrete representation for the vtkContourWidget. It works in conjunction with the vtkContourLineInterpolator and vtkPointPlacer. See vtkContourWidget for details.

See also
  vtkContourRepresentation vtkContourWidget vtkPointPlacer vtkContourLineInterpolator

Online Examples:

Tests:
  vtkOrientedGlyphContourRepresentation (Tests)

Definition at line 42 of file vtkOrientedGlyphContourRepresentation.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkContourRepresentation vtkOrientedGlyphContourRepresentation::Superclass

Standard methods for instances of this class.

Definition at line 55 of file vtkOrientedGlyphContourRepresentation.h.

## Constructor & Destructor Documentation

## ◆ vtkOrientedGlyphContourRepresentation()

vtkOrientedGlyphContourRepresentation::vtkOrientedGlyphContourRepresentation | ( |  | ) |
| protected

## ◆ ~vtkOrientedGlyphContourRepresentation()

vtkOrientedGlyphContourRepresentation::~vtkOrientedGlyphContourRepresentation | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkOrientedGlyphContourRepresentation* vtkOrientedGlyphContourRepresentation::New | ( |  | ) |
| static

Instantiate this class.

## ◆ IsTypeOf()

static vtkTypeBool vtkOrientedGlyphContourRepresentation::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for instances of this class.

## ◆ IsA()

virtual vtkTypeBool vtkOrientedGlyphContourRepresentation::IsA | ( | const char * | type | ) |
| virtual

Standard methods for instances of this class.

Reimplemented from vtkContourRepresentation.

## ◆ SafeDownCast()

static vtkOrientedGlyphContourRepresentation* vtkOrientedGlyphContourRepresentation::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for instances of this class.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkOrientedGlyphContourRepresentation::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for instances of this class.

Reimplemented from vtkContourRepresentation.

## ◆ NewInstance()

vtkOrientedGlyphContourRepresentation* vtkOrientedGlyphContourRepresentation::NewInstance | ( |  | ) | const

Standard methods for instances of this class.

## ◆ PrintSelf()

void vtkOrientedGlyphContourRepresentation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for instances of this class.

Reimplemented from vtkContourRepresentation.

## ◆ SetCursorShape()

void vtkOrientedGlyphContourRepresentation::SetCursorShape | ( | vtkPolyData * | cursorShape | ) |

Specify the cursor shape.

Keep in mind that the shape will be aligned with the constraining plane by orienting it such that the x axis of the geometry lies along the normal of the plane.

## ◆ GetCursorShape()

vtkPolyData* vtkOrientedGlyphContourRepresentation::GetCursorShape | ( |  | ) |

Specify the cursor shape.

Keep in mind that the shape will be aligned with the constraining plane by orienting it such that the x axis of the geometry lies along the normal of the plane.

## ◆ SetActiveCursorShape()

void vtkOrientedGlyphContourRepresentation::SetActiveCursorShape | ( | vtkPolyData * | activeShape | ) |

Specify the shape of the cursor (handle) when it is active.

This is the geometry that will be used when the mouse is close to the handle or if the user is manipulating the handle.

## ◆ GetActiveCursorShape()

vtkPolyData* vtkOrientedGlyphContourRepresentation::GetActiveCursorShape | ( |  | ) |

Specify the shape of the cursor (handle) when it is active.

This is the geometry that will be used when the mouse is close to the handle or if the user is manipulating the handle.

## ◆ GetProperty()

virtual vtkProperty* vtkOrientedGlyphContourRepresentation::GetProperty | ( |  | ) |
| virtual

This is the property used when the handle is not active (the mouse is not near the handle)

## ◆ GetActiveProperty()

virtual vtkProperty* vtkOrientedGlyphContourRepresentation::GetActiveProperty | ( |  | ) |
| virtual

This is the property used when the user is interacting with the handle.

## ◆ GetLinesProperty()

virtual vtkProperty* vtkOrientedGlyphContourRepresentation::GetLinesProperty | ( |  | ) |
| virtual

This is the property used by the lines.

## ◆ SetRenderer()

void vtkOrientedGlyphContourRepresentation::SetRenderer | ( | vtkRenderer * | ren | ) |
| overridevirtual

Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods.

These are the methods that the widget and its representation use to communicate with each other.

Reimplemented from vtkWidgetRepresentation.

## ◆ BuildRepresentation()

void vtkOrientedGlyphContourRepresentation::BuildRepresentation | ( |  | ) |
| overridevirtual

Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods.

These are the methods that the widget and its representation use to communicate with each other.

Implements vtkContourRepresentation.

## ◆ StartWidgetInteraction()

void vtkOrientedGlyphContourRepresentation::StartWidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods.

These are the methods that the widget and its representation use to communicate with each other.

Implements vtkContourRepresentation.

## ◆ WidgetInteraction()

void vtkOrientedGlyphContourRepresentation::WidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods.

These are the methods that the widget and its representation use to communicate with each other.

Implements vtkContourRepresentation.

## ◆ ComputeInteractionState()

int vtkOrientedGlyphContourRepresentation::ComputeInteractionState | ( | int | X,
|  | int | Y,
|  | int | modified = `0`
| ) |  |
| overridevirtual

Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods.

These are the methods that the widget and its representation use to communicate with each other.

Implements vtkContourRepresentation.

## ◆ GetActors()

void vtkOrientedGlyphContourRepresentation::GetActors | ( | vtkPropCollection * |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkOrientedGlyphContourRepresentation::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Implements vtkContourRepresentation.

## ◆ RenderOverlay()

int vtkOrientedGlyphContourRepresentation::RenderOverlay | ( | vtkViewport * | viewport | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Implements vtkContourRepresentation.

## ◆ RenderOpaqueGeometry()

int vtkOrientedGlyphContourRepresentation::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Implements vtkContourRepresentation.

## ◆ RenderTranslucentPolygonalGeometry()

int vtkOrientedGlyphContourRepresentation::RenderTranslucentPolygonalGeometry | ( | vtkViewport * | viewport | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Implements vtkContourRepresentation.

## ◆ HasTranslucentPolygonalGeometry()

vtkTypeBool vtkOrientedGlyphContourRepresentation::HasTranslucentPolygonalGeometry | ( |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Implements vtkContourRepresentation.

## ◆ GetContourRepresentationAsPolyData()

vtkPolyData* vtkOrientedGlyphContourRepresentation::GetContourRepresentationAsPolyData | ( |  | ) |
| overridevirtual

Get the points in this contour as a vtkPolyData.

Implements vtkContourRepresentation.

## ◆ SetAlwaysOnTop()

virtual void vtkOrientedGlyphContourRepresentation::SetAlwaysOnTop | ( | vtkTypeBool |  | ) |
| virtual

Controls whether the contour widget should always appear on top of other actors in the scene.

(In effect, this will disable OpenGL Depth buffer tests while rendering the contour). Default is to set it to false.

## ◆ GetAlwaysOnTop()

virtual vtkTypeBool vtkOrientedGlyphContourRepresentation::GetAlwaysOnTop | ( |  | ) |
| virtual

Controls whether the contour widget should always appear on top of other actors in the scene.

(In effect, this will disable OpenGL Depth buffer tests while rendering the contour). Default is to set it to false.

## ◆ AlwaysOnTopOn()

virtual void vtkOrientedGlyphContourRepresentation::AlwaysOnTopOn | ( |  | ) |
| virtual

Controls whether the contour widget should always appear on top of other actors in the scene.

(In effect, this will disable OpenGL Depth buffer tests while rendering the contour). Default is to set it to false.

## ◆ AlwaysOnTopOff()

virtual void vtkOrientedGlyphContourRepresentation::AlwaysOnTopOff | ( |  | ) |
| virtual

Controls whether the contour widget should always appear on top of other actors in the scene.

(In effect, this will disable OpenGL Depth buffer tests while rendering the contour). Default is to set it to false.

## ◆ SetLineColor()

void vtkOrientedGlyphContourRepresentation::SetLineColor | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |

Convenience method to set the line color.

Ideally one should use GetLinesProperty()->SetColor().

## ◆ SetShowSelectedNodes()

void vtkOrientedGlyphContourRepresentation::SetShowSelectedNodes | ( | vtkTypeBool |  | ) |
| overridevirtual

A flag to indicate whether to show the Selected nodes Default is to set it to false.

Reimplemented from vtkContourRepresentation.

## ◆ GetBounds()

double* vtkOrientedGlyphContourRepresentation::GetBounds | ( |  | ) |
| overridevirtual

Return the bounds of the representation.

Reimplemented from vtkProp.

## ◆ CreateSelectedNodesRepresentation()

void vtkOrientedGlyphContourRepresentation::CreateSelectedNodesRepresentation | ( |  | ) |
| protected

## ◆ Translate()

void vtkOrientedGlyphContourRepresentation::Translate | ( | double | eventPos[2] | ) |
| protected

## ◆ Scale()

void vtkOrientedGlyphContourRepresentation::Scale | ( | double | eventPos[2] | ) |
| protected

## ◆ ShiftContour()

void vtkOrientedGlyphContourRepresentation::ShiftContour | ( | double | eventPos[2] | ) |
| protected

## ◆ ScaleContour()

void vtkOrientedGlyphContourRepresentation::ScaleContour | ( | double | eventPos[2] | ) |
| protected

## ◆ ComputeCentroid()

void vtkOrientedGlyphContourRepresentation::ComputeCentroid | ( | double * | ioCentroid | ) |
| protected

## ◆ CreateDefaultProperties()

void vtkOrientedGlyphContourRepresentation::CreateDefaultProperties | ( |  | ) |
| protected

## ◆ BuildLines()

void vtkOrientedGlyphContourRepresentation::BuildLines | ( |  | ) |
| overrideprotectedvirtual

Implements vtkContourRepresentation.

## Member Data Documentation

## ◆ Actor

vtkActor* vtkOrientedGlyphContourRepresentation::Actor
| protected

Definition at line 166 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ Mapper

vtkPolyDataMapper* vtkOrientedGlyphContourRepresentation::Mapper
| protected

Definition at line 167 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ Glypher

vtkGlyph3D* vtkOrientedGlyphContourRepresentation::Glypher
| protected

Definition at line 168 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveActor

vtkActor* vtkOrientedGlyphContourRepresentation::ActiveActor
| protected

Definition at line 169 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveMapper

vtkPolyDataMapper* vtkOrientedGlyphContourRepresentation::ActiveMapper
| protected

Definition at line 170 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveGlypher

vtkGlyph3D* vtkOrientedGlyphContourRepresentation::ActiveGlypher
| protected

Definition at line 171 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ CursorShape

vtkPolyData* vtkOrientedGlyphContourRepresentation::CursorShape
| protected

Definition at line 172 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveCursorShape

vtkPolyData* vtkOrientedGlyphContourRepresentation::ActiveCursorShape
| protected

Definition at line 173 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ FocalData

vtkPolyData* vtkOrientedGlyphContourRepresentation::FocalData
| protected

Definition at line 174 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ FocalPoint

vtkPoints* vtkOrientedGlyphContourRepresentation::FocalPoint
| protected

Definition at line 175 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveFocalData

vtkPolyData* vtkOrientedGlyphContourRepresentation::ActiveFocalData
| protected

Definition at line 176 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveFocalPoint

vtkPoints* vtkOrientedGlyphContourRepresentation::ActiveFocalPoint
| protected

Definition at line 177 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ SelectedNodesData

vtkPolyData* vtkOrientedGlyphContourRepresentation::SelectedNodesData
| protected

Definition at line 179 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ SelectedNodesPoints

vtkPoints* vtkOrientedGlyphContourRepresentation::SelectedNodesPoints
| protected

Definition at line 180 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ SelectedNodesActor

vtkActor* vtkOrientedGlyphContourRepresentation::SelectedNodesActor
| protected

Definition at line 181 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ SelectedNodesMapper

vtkPolyDataMapper* vtkOrientedGlyphContourRepresentation::SelectedNodesMapper
| protected

Definition at line 182 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ SelectedNodesGlypher

vtkGlyph3D* vtkOrientedGlyphContourRepresentation::SelectedNodesGlypher
| protected

Definition at line 183 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ SelectedNodesCursorShape

vtkPolyData* vtkOrientedGlyphContourRepresentation::SelectedNodesCursorShape
| protected

Definition at line 184 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ Lines

vtkPolyData* vtkOrientedGlyphContourRepresentation::Lines
| protected

Definition at line 187 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ LinesMapper

vtkPolyDataMapper* vtkOrientedGlyphContourRepresentation::LinesMapper
| protected

Definition at line 188 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ LinesActor

vtkActor* vtkOrientedGlyphContourRepresentation::LinesActor
| protected

Definition at line 189 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ LastPickPosition

double vtkOrientedGlyphContourRepresentation::LastPickPosition[3]
| protected

Definition at line 192 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ LastEventPosition

double vtkOrientedGlyphContourRepresentation::LastEventPosition[2]
| protected

Definition at line 193 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ Property

vtkProperty* vtkOrientedGlyphContourRepresentation::Property
| protected

Definition at line 205 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ ActiveProperty

vtkProperty* vtkOrientedGlyphContourRepresentation::ActiveProperty
| protected

Definition at line 206 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ LinesProperty

vtkProperty* vtkOrientedGlyphContourRepresentation::LinesProperty
| protected

Definition at line 207 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ InteractionOffset

double vtkOrientedGlyphContourRepresentation::InteractionOffset[2]
| protected

Definition at line 212 of file vtkOrientedGlyphContourRepresentation.h.

## ◆ AlwaysOnTop

vtkTypeBool vtkOrientedGlyphContourRepresentation::AlwaysOnTop
| protected

Definition at line 214 of file vtkOrientedGlyphContourRepresentation.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkOrientedGlyphContourRepresentation.h